GenTableCell (gCube Templates Portlet 4.5.0-SNAPSHOT API)
Date: 2013-12-11

org.gcube.portlets.user.templates.client.components

## Class GenTableCell

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.FocusWidget
      - - com.google.gwt.user.client.ui.ValueBoxBase<String>
        - - com.google.gwt.user.client.ui.TextBoxBase
          - - com.google.gwt.user.client.ui.TextArea
            - - org.gcube.portlets.user.templates.client.components.GenTableCell

- All Implemented Interfaces:
    com.google.gwt.editor.client.IsEditor<com.google.gwt.editor.ui.client.adapters.ValueBoxEditor<String>>, com.google.gwt.event.dom.client.HasAllDragAndDropHandlers, com.google.gwt.event.dom.client.HasAllFocusHandlers, com.google.gwt.event.dom.client.HasAllGestureHandlers, com.google.gwt.event.dom.client.HasAllKeyHandlers, com.google.gwt.event.dom.client.HasAllMouseHandlers, com.google.gwt.event.dom.client.HasAllTouchHandlers, com.google.gwt.event.dom.client.HasBlurHandlers, com.google.gwt.event.dom.client.HasChangeHandlers, com.google.gwt.event.dom.client.HasClickHandlers, com.google.gwt.event.dom.client.HasDoubleClickHandlers, com.google.gwt.event.dom.client.HasDragEndHandlers, com.google.gwt.event.dom.client.HasDragEnterHandlers, com.google.gwt.event.dom.client.HasDragHandlers, com.google.gwt.event.dom.client.HasDragLeaveHandlers, com.google.gwt.event.dom.client.HasDragOverHandlers, com.google.gwt.event.dom.client.HasDragStartHandlers, com.google.gwt.event.dom.client.HasDropHandlers, com.google.gwt.event.dom.client.HasFocusHandlers, com.google.gwt.event.dom.client.HasGestureChangeHandlers, com.google.gwt.event.dom.client.HasGestureEndHandlers, com.google.gwt.event.dom.client.HasGestureStartHandlers, com.google.gwt.event.dom.client.HasKeyDownHandlers, com.google.gwt.event.dom.client.HasKeyPressHandlers, com.google.gwt.event.dom.client.HasKeyUpHandlers, com.google.gwt.event.dom.client.HasMouseDownHandlers, com.google.gwt.event.dom.client.HasMouseMoveHandlers, com.google.gwt.event.dom.client.HasMouseOutHandlers, com.google.gwt.event.dom.client.HasMouseOverHandlers, com.google.gwt.event.dom.client.HasMouseUpHandlers, com.google.gwt.event.dom.client.HasMouseWheelHandlers, com.google.gwt.event.dom.client.HasTouchCancelHandlers, com.google.gwt.event.dom.client.HasTouchEndHandlers, com.google.gwt.event.dom.client.HasTouchMoveHandlers, com.google.gwt.event.dom.client.HasTouchStartHandlers, com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.logical.shared.HasValueChangeHandlers<String>, com.google.gwt.event.shared.HasHandlers, com.google.gwt.i18n.client.AutoDirectionHandler.Target, com.google.gwt.i18n.client.HasDirection, com.google.gwt.i18n.shared.HasDirectionEstimator, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.TakesValue<String>, com.google.gwt.user.client.ui.Focusable, com.google.gwt.user.client.ui.HasEnabled, com.google.gwt.user.client.ui.HasFocus, com.google.gwt.user.client.ui.HasName, com.google.gwt.user.client.ui.HasText, com.google.gwt.user.client.ui.HasValue<String>, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsWidget, com.google.gwt.user.client.ui.SourcesChangeEvents, com.google.gwt.user.client.ui.SourcesClickEvents, com.google.gwt.user.client.ui.SourcesFocusEvents, com.google.gwt.user.client.ui.SourcesKeyboardEvents, com.google.gwt.user.client.ui.SourcesMouseEvents

      public class GenTableCell
      extends com.google.gwt.user.client.ui.TextArea

  Author:
    massi

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.TextBoxBase

      `com.google.gwt.user.client.ui.TextBoxBase.TextAlignConstant`

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.ValueBoxBase

      `com.google.gwt.user.client.ui.ValueBoxBase.TextAlignment`

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

    - ### Nested classes/interfaces inherited from interface com.google.gwt.i18n.client.HasDirection

      `com.google.gwt.i18n.client.HasDirection.Direction`

  - ### Field Summary

    - ### Fields inherited from class com.google.gwt.user.client.ui.TextBoxBase

      `ALIGN_CENTER, ALIGN_JUSTIFY, ALIGN_LEFT, ALIGN_RIGHT`

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenTableCell()`
    `GenTableCell(int rowindex, int colindex, int cellWidth, int colspan)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCellHeight()`
    `int` | `getCellWidth()`
    `int` | `getColindex()`
    `int` | `getColspan()`
    `int` | `getHeight()`
    `int` | `getRowindex()`
    `int` | `getWidth()`
    `boolean` | `isSelected()`
    `void` | `setCellHeight(int cellHeight)`
    `void` | `setCellWidth(int cellWidth)`
    `void` | `setColindex(int colindex)`
    `void` | `setColspan(int colspan)`
    `void` | `setHeight(int height)`
    `void` | `setRowindex(int rowindex)`
    `void` | `setSelected(boolean selected)`
    `void` | `setWidth(int width)`

    - ### Methods inherited from class com.google.gwt.user.client.ui.TextArea

      `getCharacterWidth, getCursorPos, getSelectionLength, getVisibleLines, setCharacterWidth, setVisibleLines, wrap`

    - ### Methods inherited from class com.google.gwt.user.client.ui.TextBoxBase

      `addChangeListener, getValue, setTextAlignment`

    - ### Methods inherited from class com.google.gwt.user.client.ui.ValueBoxBase

      `addChangeHandler, addValueChangeHandler, asEditor, cancelKey, getDirection, getDirectionEstimator, getImpl, getName, getSelectedText, getText, getValueOrThrow, isReadOnly, onBrowserEvent, onLoad, removeChangeListener, selectAll, setAlignment, setCursorPos, setDirection, setDirectionEstimator, setDirectionEstimator, setKey, setName, setReadOnly, setSelectionRange, setText, setValue, setValue`

    - ### Methods inherited from class com.google.gwt.user.client.ui.FocusWidget

      `addBlurHandler, addClickHandler, addClickListener, addDoubleClickHandler, addDragEndHandler, addDragEnterHandler, addDragHandler, addDragLeaveHandler, addDragOverHandler, addDragStartHandler, addDropHandler, addFocusHandler, addFocusListener, addGestureChangeHandler, addGestureEndHandler, addGestureStartHandler, addKeyboardListener, addKeyDownHandler, addKeyPressHandler, addKeyUpHandler, addMouseDownHandler, addMouseListener, addMouseMoveHandler, addMouseOutHandler, addMouseOverHandler, addMouseUpHandler, addMouseWheelHandler, addMouseWheelListener, addTouchCancelHandler, addTouchEndHandler, addTouchMoveHandler, addTouchStartHandler, getFocusImpl, getTabIndex, isEnabled, onAttach, removeClickListener, removeFocusListener, removeKeyboardListener, removeMouseListener, removeMouseWheelListener, setAccessKey, setEnabled, setFocus, setTabIndex`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isAttached, isOrWasAttached, onDetach, onUnload, removeFromParent, setLayoutData, sinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString, unsinkEvents`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.user.client.ui.SourcesChangeEvents

      `removeChangeListener`

    - ### Methods inherited from interface com.google.gwt.event.dom.client.HasKeyUpHandlers

      `addKeyUpHandler`

    - ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

      `fireEvent`

- - ### Constructor Detail

    - #### GenTableCell

          public GenTableCell()

      Parameters:
        `rowindex` -
        `colindex` -

    - #### GenTableCell

          public GenTableCell(int rowindex,
                      int colindex,
                      int cellWidth,
                      int colspan)

      Parameters:
        `rowindex` -
        `colindex` -

  - ### Method Detail

    - #### getWidth

          public int getWidth()

      Returns:

    - #### setWidth

          public void setWidth(int width)

      Parameters:
        `width` -

    - #### getHeight

          public int getHeight()

      Returns:

    - #### setHeight

          public void setHeight(int height)

      Parameters:
        `height` -

    - #### getRowindex

          public int getRowindex()

      Returns:

    - #### setRowindex

          public void setRowindex(int rowindex)

      Parameters:
        `rowindex` -

    - #### getColindex

          public int getColindex()

      Returns:

    - #### setColindex

          public void setColindex(int colindex)

      Parameters:
        `colindex` -

    - #### isSelected

          public boolean isSelected()

      Returns:

    - #### setSelected

          public void setSelected(boolean selected)

      Parameters:
        `selected` -

    - #### getColspan

          public int getColspan()

      Returns:

    - #### setColspan

          public void setColspan(int colspan)

      Parameters:
        `colspan` -

    - #### getCellWidth

          public int getCellWidth()

    - #### setCellWidth

          public void setCellWidth(int cellWidth)

    - #### getCellHeight

          public int getCellHeight()

    - #### setCellHeight

          public void setCellHeight(int cellHeight)

Copyright © 2013. All Rights Reserved.